#define VERSION_MAJOR 0
#define VERSION_MINOR 1

#define BAUD 38400L  

#define F_CPU         8000000               // TEST

// IO macros

#define LAT_LOW         PORTD &= ~(1<<PD7);
#define LAT_HIGH        PORTD |=  (1<<PD7);
#define LAT_PULSE       PORTD |=  (1<<PD7); PORTD &= ~(1<<PD7);

#define BLANK_LOW       PORTD &= ~(1<<PD2);
#define BLANK_HIGH      PORTD |=  (1<<PD2);

#define SYNC_INTERNAL   PORTD &= ~((1<<PD6) | (1<<PD4));
#define SYNC_EXT_RISE   PORTD &= ~((1<<PD6) | (1<<PD4)); PORTD |= (1<<PD4);
#define SYNC_EXT_FALL   PORTD &= ~((1<<PD6) | (1<<PD4)); PORTD |= (1<<PD6);

#define nop() asm volatile("nop")                    

#define MODE_INTERNAL 0
#define MODE_EXT_RISE 1
#define MODE_EXT_FALL 2
#define MODE_UNDEFINED 0xFF

#define DOT 0x80        // bit pattern for dot in 7 segment displays

#define ANIMATION_SIZE 49

// don't change below, will be calculated

#define UBRR_VAL  ((F_CPU+BAUD*8)/(BAUD*16)-1)  
#define BAUD_REAL (F_CPU/(16*(UBRR_VAL+1)))     
#define BAUD_ERROR ((BAUD_REAL*1000)/BAUD-1000) 
 
#if ((BAUD_ERROR>15) || (BAUD_ERROR<-15))
  #error Systematic baud error above 1.5% which is too high! 
#endif

